Package com.sun.mirror.type

## Interface ArrayType

All Superinterfaces:
  `ReferenceType`, `TypeMirror`

    public interface ArrayType
    extends ReferenceType

Represents an array type. A multidimensional array type is represented as an array type whose component type is also an array type.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`TypeMirror` `getComponentType()` Returns the component type of this array type.

### Methods inherited from interface com.sun.mirror.type.TypeMirror

`accept, equals, toString`

### Method Detail

#### getComponentType

    TypeMirror getComponentType()

Returns the component type of this array type.

Returns:
  the component type of this array type